Imports System.IO
Imports EgtUILib

Public Class ProdFileM
   Inherits ProjectFileM

   Protected m_nProjIdList As List(Of Integer)
   Public ReadOnly Property nProjIdList As List(Of Integer)
      Get
         Return m_nProjIdList
      End Get
   End Property
   Public Sub SetProjIdList(value As List(Of Integer))
      m_nProjIdList = value
   End Sub

   Protected m_sName As String
   Public Property sName As String
      Get
         Return m_sName
      End Get
      Set(value As String)
         m_sName = value
      End Set
   End Property

   Protected m_bIsProduced As Boolean
   Public Property bIsProduced As Boolean
      Get
         Return m_bIsProduced
      End Get
      Set(value As Boolean)
         m_bIsProduced = value
      End Set
   End Property

#Region "CONSTRUCTORS"

   Protected Sub New()
   End Sub

   Public Shared Function CreateNewProdFileM() As ProdFileM
      Return New ProdFileM
   End Function

   Public Shared Function CreateProdFileM(nProdId As Integer, nProjIdList As List(Of Integer), dtCreateProjDate As DateTime, sName As String, nType As BWType,
                                          sMachine As String, sLockedBy As String, dtLock As DateTime, bIsActive As Boolean, bIsProduced As Boolean, bIsArchived As Boolean) As ProdFileM
      Dim NewProjectFileM As New ProdFileM
      NewProjectFileM.m_nProdId = nProdId
      NewProjectFileM.m_nProjIdList = nProjIdList
      NewProjectFileM.m_dtCreateDate = dtCreateProjDate
      NewProjectFileM.m_sName = sName
      NewProjectFileM.m_nType = nType
      NewProjectFileM.m_sMachine = sMachine
      NewProjectFileM.m_sLockedBy = sLockedBy
      NewProjectFileM.m_dtLock = dtLock
      NewProjectFileM.m_bIsActive = bIsActive
      NewProjectFileM.m_bIsProduced = bIsProduced
      NewProjectFileM.m_bIsArchived = bIsArchived
      Return NewProjectFileM
   End Function

#End Region    ' CONSTRUCTORS

End Class